package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventRust;
import java.util.List;
/**
* 九防台账-防锈蚀
* @author wuhonghao
* @date 2021/11/12
*/
public interface IBasePreventRustService{

    /**
    * 新增
    */
    int create(BasePreventRust basePreventRust);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventRust basePreventRust);

    /**
    * 获取单个
    */
    BasePreventRust getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventRust> getList(BasePreventRust basePreventRust);

}
